import { apiRequest } from './helpers';

export const getAuth = (locale: string, data: { login: string, password: string }): Promise<{ jwtToken: string }> => apiRequest({
    url: '/auth/login',
    method: 'post',
    data,
    locale
});

export const getRegister = (locale: string): Promise<{ jwtToken: string }> => apiRequest({
    url: '/auth/register',
    method: 'post',
    locale
});

export const getRegisterByGoogle = (locale: string, accesstoken: string): Promise<{ jwtToken: string }> => apiRequest({
    url: '/auth/registerexternal',
    method: 'post',
    data: {
        platform: 0,
        provider: 4,
        accesstoken
    },
    locale
});

export const getLoginByGoogle = (locale: string, accesstoken: string): Promise<{ jwtToken: string }> => apiRequest({
    url: '/auth/tryloginexternal',
    method: 'post',
    data: {
        platform: 0,
        provider: 4,
        accesstoken
    },
    locale
});

export const getRegisterByApple = (locale: string, code: string): Promise<{ jwtToken: string }> => apiRequest({
    url: '/auth/registerexternalappleweb',
    method: 'post',
    data: { code },
    locale
});

export const getLoginByApple = (locale: string, code: string): Promise<{ jwtToken: string }> => apiRequest({
    url: '/auth/tryloginexternalappleweb',
    method: 'post',
    data: { code },
    locale
});
